> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Logs



## OpenAPI

````yaml GET /logs/api
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /logs/api:
    get:
      tags:
        - logs
      summary: /logs/api
      operationId: ListAPILogs
      parameters:
        - name: starting_after
          description: >-
            Given the log ID, will return all records after that ID. See
            [pagination docs](../../rest-api#pagination)
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: ending_before
          description: >-
            Given the log ID, will return all records before that ID. See
            [pagination docs](../../rest-api#pagination)
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: limit
          in: query
          description: Limit the number of logs and/or metrics returned
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: i32
            default: 20
        - name: source
          in: query
          description: The source of the given logs, either `"api"` or `"webhook"`
          required: false
          style: form
          explode: true
          schema:
            type: string
            default: api
        - name: url
          in: query
          description: Either the webhook server URL, or the API endpoint that was logged
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: An ID identifying the log that was generated.
                    userId:
                      type: string
                      description: The user ID associated with the owner of the account.
                    domainId:
                      type: string
                      description: The domain ID associated with this log statement.
                    source:
                      type: string
                      description: >-
                        The source of this log statement. This will be `"api"`
                        or `"webhook"`.
                    ip:
                      type: string
                      description: The originating IP address of this request.
                    method:
                      type: string
                      description: The HTTP method used for this request.
                    url:
                      type: string
                      description: The API route that was queried.
                    status:
                      type: integer
                      description: The HTTP status code returned by the endpoint.
                    createdAt:
                      type: string
                      format: date-time
                      description: The timestamp representing when the record was created.
                    request:
                      type: string
                      nullable: true
                      description: >-
                        A JSON string representing the request body of this API
                        request.
                    response:
                      type: string
                      nullable: true
                      description: >-
                        A JSON string representing the response body of this API
                        request.
              examples:
                Result:
                  value:
                    - id: aaaaaaaa-0000-0000-0000-000000000001
                      userId: bbbbbbbb-0000-0000-0000-000000000001
                      domainId: cccccccc-0000-0000-0000-000000000001
                      source: api
                      ip: 203.0.113.10
                      method: GET
                      url: /v1/rooms
                      status: 200
                      createdAt: '2024-03-15T18:42:00.000Z'
                      request: null
                      response: >-
                        {"total_count":3,"data":[{"id":"room-1","name":"hello"},{"id":"room-2","name":"world"},{"id":"room-3","name":"test"}]}
                    - id: aaaaaaaa-0000-0000-0000-000000000002
                      userId: bbbbbbbb-0000-0000-0000-000000000001
                      domainId: cccccccc-0000-0000-0000-000000000001
                      source: api
                      ip: 203.0.113.10
                      method: POST
                      url: /v1/rooms
                      status: 200
                      createdAt: '2024-03-15T18:41:30.000Z'
                      request: '{"name":"my-room","properties":{"exp":1710527690}}'
                      response: >-
                        {"id":"aaaaaaaa-0000-0000-0000-000000000099","name":"my-room","api_created":true}
                    - id: aaaaaaaa-0000-0000-0000-000000000003
                      userId: bbbbbbbb-0000-0000-0000-000000000001
                      domainId: cccccccc-0000-0000-0000-000000000001
                      source: api
                      ip: 203.0.113.10
                      method: POST
                      url: /v1/meeting-tokens
                      status: 400
                      createdAt: '2024-03-15T18:41:00.000Z'
                      request: '{"properties":{"room_name":"nonexistent-room"}}'
                      response: >-
                        {"error":"invalid-request-error","info":"room not
                        found"}
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  info:
                    type: string
              examples:
                Result:
                  value:
                    info: >
                      "source" must be one of [webhook, api] [Received
                      source="api"]
                    error: invalid-request-error
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````